NavMapTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.NavMapTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class NavMapTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.NavMapTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class NavMapTag

extends javax.servlet.jsp.tagext.TagSupport

A JSP tag that will retrieve a tree of all resources connected to the current resource and store it in the session. The "treeVar" request attribute will hold the name of the session attribute holding the ResourceTree data.

Whatever is set as the areasVar will be set as request attribute holding the image map <area> beans. The number of image map <area> beans will be stored in the request under whatever wasareasSizeVar was set as.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NavMapTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Process the tag, generating appropriate HTML.
`java.lang.Integer` | `getImageWidth()`
`void` | `release()`
`void` | `setAreasSizeVar(java.lang.String areasSizeVar)` Set the name of the request attribute that should hold the size of the list of ImageMapRectAreaBean objects.
`void` | `setAreasVar(java.lang.String areasVar)` Set the name of the request attribute that should hold the list of ImageMapRectAreaBean objects.
`void` | `setImageWidth(java.lang.Integer imageWidth)` Set the width of the navigation map image.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavMapTag

    public NavMapTag()

Method Detail

### setAreasVar

    public void setAreasVar(java.lang.String areasVar)

  Set the name of the request attribute that should hold the list of ImageMapRectAreaBean objects.

  Parameters:
    `var` - the name of the request attribute

### setAreasSizeVar

    public void setAreasSizeVar(java.lang.String areasSizeVar)

  Set the name of the request attribute that should hold the size of the list of ImageMapRectAreaBean objects.

  Parameters:
    `sizeVar` - the name of the request attribute

### setImageWidth

    public void setImageWidth(java.lang.Integer imageWidth)

  Set the width of the navigation map image.

  Parameters:
    `imageWidth` - the name of the request attribute

### getImageWidth

    public java.lang.Integer getImageWidth()

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Process the tag, generating appropriate HTML.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if any errors occur

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.